.body-container {
    flex-grow: 1;
    display: flex;
    align-items: stretch;
    justify-content: center;
}

.rectangle {
    position: relative;
    max-width: 80%;
    height: 100%;
    background-color: white;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 50px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    border-radius: 27px;
}

.text {
    position: relative;
    z-index: 1;
    padding: 20px;
}

.text-title {
    width: 100%;
    font-size: 48px;
    font-weight: bold;
    color: #0025FF;
    line-height: 52px;
    text-align: center;
}

.text-subtitle {
    width: 100%;
    font-size: 24px;
    font-weight: normal;
    color: #0025FF;
    line-height: 42px;
    padding-top: 40px;
}

.text-subtitle a {
    color: #0025FF;
    text-decoration: underline;
}

.text-subtitle a:hover {
    color: #f1c40f;
}

.error-page-graphic-1 {
    bottom: -10px;
    left: -5px;
    position: absolute;
    max-width: 200px;
    z-index: 0;
}

.error-page-graphic-2 {
    top: -80px;
    right: 0px;
    position: absolute;
    max-width: 200px;
    z-index: 0;
}

img {
    max-width: 100%;
    height: auto;
}

@media (max-width: 768px) {
    .body-container {
        min-height: 0;
    }

    .rectangle {
        width: 80%;
        height: auto;
        padding: 20px;
    }

    .error-page-graphic-1 {
        bottom: -5px;
        left: -5px;
        max-width: 95px;
    }
    .error-page-graphic-2 {
        top: -5px;
        right: -5px;
        max-width: 95px;
    }

    .text-title {
        font-size: 24px;
        line-height: 28px;
    }

    .text-subtitle {
        font-size: 16px;
        line-height: 24px;
        padding-top: 20px;
    }
}

@media (max-width: 640px) {
    .rectangle {
        padding: 40px 20px;
    }

    .text {
        padding: 40px 20px;
    }

    .error-page-graphic-1 {
        bottom: -10px;
        left: 10px;
        max-width: 70px;
    }

    .error-page-graphic-2 {
        top: -10px;
        right: 10px;
        max-width: 70px;
    }
    

    .text-title {
        font-size: 20px;
        line-height: 24px;
    }

    .text-subtitle {
        font-size: 14px;
        line-height: 20px;
        padding-top: 15px;
    }
    }
